

Patch from Stephen Hemminger <shemminger@osdl.org>

This patch gets rid of the following warnings.

fs/ntfs/attrib.c: In function `find_attr':
fs/ntfs/attrib.c:1187: warning: duplicate `const'
fs/ntfs/unistr.c: In function `ntfs_collate_names':
fs/ntfs/unistr.c:102: warning: duplicate `const'
fs/ntfs/unistr.c:102: warning: duplicate `const'




 fs/ntfs/attrib.c |    3 ++-
 fs/ntfs/unistr.c |    4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff -puN fs/ntfs/attrib.c~const-warning-fix-3 fs/ntfs/attrib.c
--- 25/fs/ntfs/attrib.c~const-warning-fix-3	Mon Feb 17 14:57:12 2003
+++ 25-akpm/fs/ntfs/attrib.c	Mon Feb 17 14:57:12 2003
@@ -1183,7 +1183,8 @@ BOOL find_attr(const ATTR_TYPES type, co
 			register int rc;
 			
 			rc = memcmp(val, (u8*)a + le16_to_cpu(
-					a->_ARA(value_offset)), min(val_len,
+					a->_ARA(value_offset)), 
+				    	min_t(const u32, val_len,
 					le32_to_cpu(a->_ARA(value_length))));
 			/*
 			 * If @val collates before the current attribute's
diff -puN fs/ntfs/unistr.c~const-warning-fix-3 fs/ntfs/unistr.c
--- 25/fs/ntfs/unistr.c~const-warning-fix-3	Mon Feb 17 14:57:12 2003
+++ 25-akpm/fs/ntfs/unistr.c	Mon Feb 17 14:57:12 2003
@@ -96,10 +96,10 @@ int ntfs_collate_names(const uchar_t *na
 		const int err_val, const IGNORE_CASE_BOOL ic,
 		const uchar_t *upcase, const u32 upcase_len)
 {
-	u32 cnt, min_len;
+	u32 cnt;
+	const u32 min_len = min_t(const u32, name1_len, name2_len);
 	uchar_t c1, c2;
 
-	min_len = min(name1_len, name2_len);
 	for (cnt = 0; cnt < min_len; ++cnt) {
 		c1 = le16_to_cpu(*name1++);
 		c2 = le16_to_cpu(*name2++);

_
